From 31da99e7139d03942cac187c30e1ef34979cf760 Mon Sep 17 00:00:00 2001
From: Alexey Minnekhanov <alexeymin@postmarketos.org>
Date: Sat, 15 May 2021 05:52:54 +0300
Subject: [PATCH 50/59] KAuth helper: don't ask for password

Allow everyone to install/remove/upgrade packages without asking
for password. Polkit-kde auth dialog is not mobile friendly.

Fixes https://gitlab.com/postmarketOS/pmaports/-/issues/1036
---
 .../org.kde.discover.alpineapkbackend.actions                 | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/libdiscover/backends/AlpineApkBackend/org.kde.discover.alpineapkbackend.actions b/libdiscover/backends/AlpineApkBackend/org.kde.discover.alpineapkbackend.actions
index c9bb5f9f2..f9db78dbb 100644
--- a/libdiscover/backends/AlpineApkBackend/org.kde.discover.alpineapkbackend.actions
+++ b/libdiscover/backends/AlpineApkBackend/org.kde.discover.alpineapkbackend.actions
@@ -1,5 +1,5 @@
 [org.kde.discover.alpineapkbackend.pkgmgmt]
 Name=Package management
-Description=Install or remove packages, upgrade system
-Policy=auth_admin
+Description=Install/remove/upgrade packages
+Policy=yes
 Persistence=session
-- 
GitLab


